Summary: GRUB - the Grand Unified Boot Loader.
Name: grub
Version: 0.95
Release: 4tr
License: GPL
Group: Trustix Official
Source0: ftp://alpha.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0: grub-0.95-segfault.patch
Patch1: grub-0.95-special-raid-devices.patch
Patch2: grub-0.95-configfile.patch
Patch3: grub-0.90-install.in.patch
Patch4: grub-0.94-installcopyonly.patch
Patch5: grub-0.95-staticcurses.patch
Patch6: grub-0.95-symlinkmenulst.patch
Patch7: grub-0.95-append.patch
Patch8: grub-0.95-addsyncs.patch
Patch9: grub-0.95-gcc4.patch
BuildRequires: binutils >= 2.9.1.0.23, texinfo
Requires: mktemp, /usr/sbin/htmlinfo_update.sh
BuildRequires: autoconf, ncurses-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
GRUB (Grand Unified Boot Loader) is an experimental boot loader
capable of booting into most free operating systems - Linux, FreeBSD,
NetBSD, GNU Mach, and others as well as most commercial operating
systems.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1


%build
autoconf
export CC="gcc %{?no_stack_protector}"
CFLAGS="-Os -g" ; export CFLAGS
%configure --sbindir=/sbin --disable-auto-linux-mem-opt
make
cd docs
makeinfo --force --html --no-split grub.texi


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall sbindir=${RPM_BUILD_ROOT}/sbin
mkdir -p ${RPM_BUILD_ROOT}/boot/grub
install -o root -g root -m 755 -d ${RPM_BUILD_ROOT}/usr/share/html/grub
install -m 644 docs/grub.html $RPM_BUILD_ROOT/usr/share/html/grub/


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/htmlinfo_update.sh

%postun
/usr/sbin/htmlinfo_update.sh

%files
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog NEWS README COPYING TODO docs/menu.lst
/boot/grub
/sbin/grub
/sbin/grub-install
/sbin/grub-md5-crypt
/sbin/grub-terminfo
%{_bindir}/mbchk
%{_mandir}/man*/*
%{_datadir}/grub
/usr/share/html/%{name}/
%exclude %{_datadir}/info/

%changelog
* Tue Jun 07 2005 Ajith Thampi <ajith at comodo dot com> 0.95-4tr
- make with no stack protector
		
* Mon Apr 25 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.95-2tr
- Added gcc4 patch, Rebuilt against new gcc-4.0

* Fri Mar 25 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.95-1tr
- New Upstream
- Compiled with CFLAGS="-Os -g"

* Wed Mar 16 2005 Ajith Thampi <ajith at comodo dot com> 0.92-15tr
- Rebuilt, Fixed unpackaged Filelist

* Thu Jan 29 2004 Oystein Viggen <oysteivi at trustix dot org> 0.92-10tr
- Won't build with stack protection

* Tue Dec  9 2003 Erlend Midttun <erlendbm at trustix dot org> 0.92-8tr
- Big rebuild

* Tue Sep 16 2003 Chr. H. Toldnes <christht at trustix dot com> 0.92-9tr
- Rebuilt and retagged for releasing.

* Wed Sep  3 2003 Goetz Bock <bock at trustix dot org> 0.92-8bg
- removed info pages, and provide html version
- added some build requirements

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.92-7tr
- Big rebuild

* Sat May 17 2003 Erlend Midttun <erlendbm at trustix dot com> 0.92-6em
- Now compiles with GCC 3.3

* Mon Mar 31 2003 Christian H. Toldnes <christht at trustix dot com> 0.92-5ct
- Fixed bug #23 (Patch 0)

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.92-4em
- Rebuilt against glibc 2.3.2.

* Mon Feb 10 2003 Erlend Midttun <erlendbm at trustix dot com> 0.92-3em
- Fixed package group.  Take II.

* Mon Dec  9 2002 Erlend Midttun <erlendbm at trustix dot com> 0.92-2em
- Fixed package group.

* Thu Jul  4 2002 Christian H. Toldnes <christht at trustix dot com> 0.92-1ct
- New upstream version
- Removed info stuff
- Adapt into TSL 2.0

* Fri Jan 25 2002 Jeremy Katz <katzj@redhat.com> 0.91-2
- don't ifdef out the auto memory passing, use the configure flag instead
- add a patch so that grub respects mem= from the kernel command line when 
  deciding where to place the initrd (#52558)

* Mon Jan 21 2002 Jeremy Katz <katzj@redhat.com> 0.91-1
- update to 0.91 final
- add documentation on splashimage param (#51609)

* Wed Jan  2 2002 Jeremy Katz <katzj@redhat.com> 0.91-0.20020102cvs
- update to current CVS snapshot to fix some of the hangs on boot related
  to LBA probing (#57503, #55868, and others)

* Fri Dec 21 2001 Erik Troan <ewt@redhat.com> 0.90-14
- fixed append patch to not require arguments to begin with
- changed to autoreconf from autoconf

* Wed Oct 31 2001 Jeremy Katz <katzj@redhat.com> 0.90-13
- include additional patch from Erich to add sync calls in grub-install to 
  work around updated images not being synced to disk
- fix segfault in grub shell if 'password --md5' is used without specifying
  a password (#55008)

* Fri Oct 26 2001 Jeremy Katz <katzj@redhat.com> 0.90-12
- Include Erich Boleyn <erich@uruk.org>'s patch to disconnect from the 
  BIOS after APM operations.  Should fix #54375

* Wed Sep 12 2001 Erik Troan <ewt@redhat.com>
- added patch for 'a' option in grub boot menu

* Wed Sep  5 2001 Jeremy Katz <katzj@redhat.com> 0.90-11
- grub-install: if /boot/grub/grub.conf doesn't exist but /boot/grub/menu.lst 
  does, create a symlink

* Fri Aug 24 2001 Jeremy Katz <katzj@redhat.com>
- pull in patch from upstream CVS to fix md5crypt in grub shell (#52220)
- use mktemp in grub-install to avoid tmp races

* Fri Aug  3 2001 Jeremy Katz <katzj@redhat.com>
- link curses statically (#49519)

* Thu Aug  2 2001 Jeremy Katz <katzj@redhat.com>
- fix segfault with using the serial device before initialization (#50219)

* Thu Jul 19 2001 Jeremy Katz <katzj@redhat.com>
- add --copy-only flag to grub-install

* Thu Jul 19 2001 Jeremy Katz <katzj@redhat.com>
- copy files in grub-install prior to device probe

* Thu Jul 19 2001 Jeremy Katz <katzj@redhat.com>
- original images don't go in /boot and then grub-install does the right
  thing

* Thu Jul 19 2001 Jeremy Katz <katzj@redhat.com>
- fix the previous patch
- put the password prompt in the proper location

* Thu Jul 19 2001 Jeremy Katz <katzj@redhat.com>
- reset the screen when the countdown is cancelled so text will disappear 
  in vga16 mode

* Mon Jul 16 2001 Jeremy Katz <katzj@redhat.com>
- change configfile defaults to grub.conf

* Sun Jul 15 2001 Jeremy Katz <katzj@redhat.com>
- updated to grub 0.90 final

* Fri Jul  6 2001 Matt Wilson <msw@redhat.com>
- modifed splash screen to a nice shade of blue

* Tue Jul  3 2001 Matt Wilson <msw@redhat.com>
- added a first cut at a splash screen

* Sun Jul  1 2001 Nalin Dahyabhai <nalin@redhat.com>
- fix datadir mismatch between build and install phases

* Mon Jun 25 2001 Jeremy Katz <katzj@redhat.com>
- update to current CVS 
- forward port VGA16 patch from Paulo Csar Pereira de 
  Andrade <pcpa@conectiva.com.br>
- add patch for cciss, ida, and rd raid controllers
- don't pass mem= to the kernel

* Wed May 23 2001 Erik Troan <ewt@redhat.com>
- initial build for Red Hat
